Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Remove Low-Priority Message Types

Remove one or more message types from the chatroom's low-priority message type list.

Request Method

POST: https://data center domain/chatroom/message/priority/remove.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests require signature verification. For details, see API Request Signature.

Body Parameters

The HTTP request body data format is application/x-www-form-urlencoded, supporting the following HTTP form parameters:

ParameterTypeRequiredDescription
objectNameStringYesLow-priority message types, up to 5 per request

Request Example

POST /chatroom/message/priority/remove.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Timestamp: 1408710653491
Nonce:14314
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

objectName=RC:VcMsg&objectName=RC:ImgMsg

Response Result

The HTTP response body contains a JSON object with the following structure:

Return ValueReturn TypeDescription
codeNumberReturn code, 200 for success.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":200}